This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 54855 - i810 audio problem after up2date4d kernel 2.4.9-6
i810 audio problem after up2date4d kernel 2.4.9-6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-21 07:17 EDT by Andreas Bennecke
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bennecke 2001-10-21 07:17:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.9-6 i686; en-US; 0.7) Gecko/20010316

Description of problem:
After updating to 2.4.9-6 there are some corrupted sounds with my i810 AC97
audio

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date to kernel 2.4.9-6
2. reboot
3. log into kde and the sound is crackling


Actual Results:  sound within kde cracks and ends before being fully
played. mp3s play too fast and crackle. but sound within games such as
erics ultimate solitare and heroes3 comes out ok

Expected Results:  before the kernel upgrade all was fine.

Additional info:

dmesg log:
Intel 810 + AC97 Audio, version 0.04, 09:45:05 Oct 18 2001
PCI: Found IRQ 5 for device 00:1f.5
PCI: Sharing IRQ 5 with 00:1f.3
PCI: Setting latency timer of device 00:1f.5 to 64
i810: Intel ICH 82801AA found at IO 0x1c00 and 0x1000, IRQ 5
i810_audio: Audio Controller supports 2 channels.
ac97_codec: AC97 Audio codec, id: 0x4144:0x5360 (Analog Devices AD1885)
i810_audio: AC'97 codec 0 Unable to map surround DAC's (or DAC's not
present), total channels = 2

so there4s nothing quite obvious in there - but just in case. what4s also
new, is the AD1885 control, that also replaced the unknown tab in kmix
(which still is visible, but has no controls on it)
Comment 1 Andreas Bennecke 2001-10-21 07:34:47 EDT
just went through the boot dmesgs and found this one:

i810: Intel ICH 82801AA found at IO 0x1c00 and 0x1000, IRQ 5
i810_audio: Audio Controller supports 2 channels.
i810_audio: Primary codec not ready.
Comment 2 Andreas Bennecke 2001-10-28 02:20:11 EST
Just did a clean install of 7.2 and with the stock kernel 2.4.7-10 sound worked 
perfect but with the then up2dated 2.4.9-7 all sounds play twice as fast or 
something and some programs even crash. Now even in the aforementioned 
games there is no sound.
Comment 3 Doug Ledford 2001-11-05 16:00:10 EST
This was fixed by the 0.05 version of the i810 driver (which is why the stock
7.2 kernel works for you).  That driver was lost in the errata kernel (either by
accident or as an intentional backout to avoid the conflicts with the new i810
driver Alan put into the ac kernels, I don't know).  Instead, the errata kernel
uses the same i810 driver as the ac kernels.  So, Alan Cox is the proper person
to fix this problem.  Cc:ing Arjan so he knows about the state of this bug.
Comment 4 Alan Cox 2001-11-05 17:21:20 EST
The 0.05 one had other problems. But Doug is right this oneis really mine to
worry about now. I need to take a look over the dropped changes and figure out
what the interaction is

Note You need to log in before you can comment on or make changes to this bug.